Subject: Order's not delivered.
From: Seeta Seeta <[email-masked]>
To: [email-masked]
Date: Thu, 25 Jul 2019 06:09:29 -0700 (MST)

Hi Mohmoud, 

With the reference order numbers the items were not delivered yet, All the order was with fetchr and out of 4 order the 2 order status is returning to sender. 

Can you please look into this concern and assist. 

Below is the email trail: 

Please take a look at ticket #88591 raised by Rami Beji ([email-masked]). 

On Thu, 25 Jul at 10:40 AM , Centrepoint <[email-masked]> wrote: 
Hi Rami, 

I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it. 

We are contacting the courier partner and ask them to ship the items as soon as possible. 

Again, please accept our sincere apologies for this unexpected delay. 
Your friends, 
The Support team. 

On Wed, 24 Jul at 5:35 PM , Rami Beji <[email-masked]> wrote: 
Now they contacted me and scheduled the delivery for next Monday, for only one shipment. 
It's not acceptable! 
I have to travel in 10 days and still not sure to receive my items! 
This is really regrettable! 
With Aramex there was not this kind of problems! 

Le mer. 24 juil. 2019 à 13:32, ramy beji <[email-masked]> a écrit : 
Hello, 
Unfortunately, the case is not resolved yet, scheduled for July 23, I did not receive anything, and no one contacted me! 
I am really disappointed, and I think it will be the last time that i buy from your site. 
Is it possible to cancel the orders? 

Le jeu. 18 juil. 2019 à 16:23, Centrepoint <[email-masked]> a écrit : 
Hi Rami, 

Thank you for getting in touch with us. 

We hope we were able to assist you.We hope you had a great experience shopping with us. 

Your friends, 
The Support team. 
On Thu, 18 Jul at 4:45 PM , Rami Beji <[email-masked]> wrote: 
Thanks a lot! 

Le jeu. 18 juil. 2019 à 15:44, Centrepoint <[email-masked]> a écrit : 
Hi Rami, 

Thank you for reaching out to us with your concern. 

After checking your concern with fetchr team we would like to inform you that your orders have been scheduled to be delivered on July 23rd. 

Feel free to get in touch if you need further assistance. 

Your friends, 
The Support Team 

On Thu, 18 Jul at 12:42 PM , Centrepoint <[email-masked]> wrote: 
Hi Rami, 

Thank you for your email. 

I’m sorry to see that you’ve been waiting for your shipment, and it seems like this has not happened as yet. This is not the standard of service which we offer. 

We are now contacting the courier department to find out what happened, and get your shipment to deliver to you as soon as possible. 

Thank you for continued patience, I assure that we are working on it to get this resolved at the earliest. 

Your friends, 
The Support team.